# ChangeLog for sys-apps/iproute2
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/ChangeLog,v 1.52 2006/03/10 20:43:33 tove Exp $

  10 Mar 2006; Torsten Veller <tove@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Stable on x86 (bug #125111)

  10 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Stable on alpha wrt bug #125111

  09 Mar 2006; Patrick McLean <chutzpah@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Stable on amd64 (bug #125111).

  08 Mar 2006; Markus Rothe <corsair@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Stable on ppc64; bug #125111

  06 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Stable on sparc wrt #125111

  06 Mar 2006; Luca Barbato <lu_zero@gentoo.org>
  iproute2-2.6.15.20060110.ebuild:
  Marked ppc

  19 Feb 2006; Joshua Kinard <kumba@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  Marked stable on mips.

*iproute2-2.6.15.20060110 (30 Jan 2006)

  30 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.6.15.20060110.ebuild:
  Version bump to fix ip option handling #120874 by Jan Minar.

*iproute2-2.6.13.051007 (30 Jan 2006)

  30 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.6.13.051007.ebuild, -iproute2-051007.ebuild:
  Rename version to fit with newer version schema.

  31 Oct 2005; Herbie Hopkins <herbs@gentoo.org> iproute2-051007.ebuild:
  Update multilib fixes

*iproute2-051007 (29 Oct 2005)

  29 Oct 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/iproute2-051007-esfq-2.6.13.patch,
  iproute2-2.6.7.20040608-r1.ebuild, iproute2-2.6.10.20050112-r1.ebuild,
  iproute2-2.6.10.20050124.ebuild, iproute2-2.6.11.20050310-r1.ebuild,
  iproute2-2.6.11.20050310-r2.ebuild, iproute2-2.6.11.20050330.ebuild,
  iproute2-2.6.11.20050330-r1.ebuild, +iproute2-051007.ebuild:
  Fixed HOMEPAGE.  Version bump.  Updated esfq patch.  Closes bug #110777.

*iproute2-2.6.11.20050330-r1 (07 Oct 2005)

  07 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/iproute2-2.6.11.20050330-tc-check-qdisc-features.patch,
  +iproute2-2.6.11.20050330-r1.ebuild:
  Fix segfault when trying to use qdisc_fast #108307 by jens zettelmeyer.

  09 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/iproute2-2.6.11.20050330-stack.patch,
  iproute2-2.6.11.20050330.ebuild:
  Fix by solar to prevent stack overflow in build util #99487.

*iproute2-2.6.11.20050330 (19 Jul 2005)

  19 Jul 2005; Mike Frysinger <vapier@gentoo.org>
  +files/iproute2-2.6.11.20050330-wrr.patch,
  +iproute2-2.6.11.20050330.ebuild:
  Version bump #99441 by Maciek Ligenza.

  17 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  ppc stable

  07 Jul 2005; Markus Rothe <corsair@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  Stable on ppc64

  05 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  Stable on hppa.

*iproute2-2.6.11.20050310-r2 (05 Jul 2005)

  05 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/2.6.12-rc1-esfq.patch, +iproute2-2.6.11.20050310-r2.ebuild:
  Updated esfq patch to latest upstream.

  28 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  Stable on sparc

  28 Jun 2005; Aron Griffis <agriffis@gentoo.org>
  iproute2-2.6.11.20050310-r1.ebuild:
  stable on alpha amd64 ia64 x86

*iproute2-2.6.11.20050310-r1 (29 Mar 2005)

  29 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/iproute2-2.6.11.20050310-dsmark-qdisc.patch,
  +iproute2-2.6.11.20050310-r1.ebuild:
  Add patch from upstream to fix dsmark qdiscs adding #86729.

*iproute2-2.6.11.20050310 (12 Mar 2005)

  12 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.6.11.20050310.ebuild:
  Version bump.

  13 Feb 2005; Robin H. Johnson <robbat2@gentoo.org>
  iproute2-2.6.10.20050124.ebuild:
  Bug #47482, arpd doesn't need to be in /sbin.

  11 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  iproute2-2.6.10.20050112-r1.ebuild, iproute2-2.6.10.20050124.ebuild:
  Do not build the arpd binary if USE=-berkdb #81660 by Roy Marples.

*iproute2-2.6.10.20050124 (09 Feb 2005)

  09 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.6.10.20050124.ebuild:
  Version bump.

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org>
  iproute2-2.6.10.20050112-r1.ebuild:
  Marked stable on mips.

  31 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  iproute2-2.6.10.20050112-r1.ebuild:
  Stable on sparc

*iproute2-2.6.10.20050112-r1 (27 Jan 2005)

  27 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/2.6.9.20041019-wrr.patch-r1, +files/2.6.9.20041106-esfq.patch,
  +iproute2-2.6.10.20050112-r1.ebuild:
  Revbump to fix esfq and wrr patches to work with the new version. This
  closes bug #79387.

  21 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  iproute2-2.6.10.20050112.ebuild:
  Multilib fixes.

  13 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  iproute2-2.6.9.20041019-r1.ebuild:
  Stable on sparc

*iproute2-2.6.10.20050112 (12 Jan 2005)

  12 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.6.10.20050112.ebuild:
  Version bump.

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  20 Dec 2004; Dylan Carlson <absinthe@gentoo.org>
  iproute2-2.6.9.20040831.ebuild:
  Stable on amd64.

*iproute2-2.6.9.20041019-r1 (05 Dec 2004)

  05 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  files/2.6.9.20041019-esqf.patch, files/2.6.9.20041019-wrr.patch,
  +iproute2-2.6.9.20041019-r1.ebuild, -iproute2-2.6.9.20041019.ebuild:
  Version bump to fix esfq/wrr registering with tc #73104 by David Pufer.

  01 Dec 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  iproute2-2.6.9.20040831.ebuild:
  Stable on sparc

*iproute2-2.6.9.20041019 (30 Nov 2004)

  30 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.6.9.20041019-esqf.patch, +files/2.6.9.20041019-wrr.patch,
  +iproute2-2.6.9.20041019.ebuild:
  Version bump #72961 and include esqf/wrr algorithms #68948.

*iproute2-2.6.9.20040831 (25 Sep 2004)

  25 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.6.9.20040831-make-install.patch, +iproute2-2.6.9.20040831.ebuild:
  Version bump #64957 by David Holm.

*iproute2-2.6.7.20040608-r1 (13 Sep 2004)

  13 Sep 2004; <solar@gentoo.org> +iproute2-2.6.7.20040608-r1.ebuild:
  added minimal USE flag so we can yeild a build of tc. fixes compile failures
  in uclibc envionments where we might not have/want a dep of db for the arpd
  which can be provided elsewhere

*iproute2-2.4.7.20020116-r1 (09 Aug 2004)

  09 Aug 2004; Mike Frysinger <vapier@gentoo.org>
  +iproute2-2.4.7.20020116-r1.ebuild, -iproute2-2.4.7.20020116.ebuild:
  Version bump to install correctly more files #59460 by Daniel Black.

  04 Aug 2004; Daniel Black <dragonheart@gentoo.org> :
  digest fix - files/digest-iproute2-2.4.7.20020116

  09 Jul 2004; Bryan Østergaard <kloeri@gentoo.org>
  iproute2-2.4.7.20020116.ebuild:
  Stable on alpha.

  22 Jun 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.6.7.20040608-misc-deb-fixes.patch,
  +files/2.6.7.20040608-misc-gentoo-fixes.patch,
  iproute2-2.6.7.20040608.ebuild:
  Add some patches to resolve issues with different kernel header versions
  #54708.

*iproute2-2.6.7.20040608 (21 Jun 2004)

  21 Jun 2004; Mike Frysinger <vapier@gentoo.org>
  iproute2-2.4.7.20020116.ebuild, +iproute2-2.6.7.20040608.ebuild:
  Version bump for new upstream #54648 by Ed Wildgoose.

*iproute2-2.4.7.20020116 (20 Apr 2004)

  20 Apr 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump #40589 by tempone@isg.si.
  Also rename / reversion to fit the way upstream has it.

*iproute2-2.4.7-20010824-r5 (06 Apr 2004)

  06 Apr 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump to clean up bugs and all that fun stuff.
  #33831 by Miguel Sousa Filipe - We use /usr/include instead of /usr/src/linux.
  #34294 by Andrea Barisani - Fix local DoS exploit.
  #37432 by Radek Podgorny - Update the debian patch that we pull.
  #40230 by Sebastian Werner - Use system pkt_sched.h instead of bundled.
  #40510 by valli - Use system glibc headers instead of bundled.
  #45274 by David Pufer - Add HFSC support.
  #46978 by Seemant Kulleen - Add a little hack to handle 2.4 linux-headers.

  25 Mar 2004; Joshua Kinard <kumba@gentoo.org> iproute-20010824-r4.ebuild:
  Marked stable on mips.

  02 Feb 2004; Mamoru KOMACHI <usata@gentoo.org> iproute-20010824-r1.ebuild,
  iproute-20010824-r2.ebuild, iproute-20010824-r3.ebuild,
  iproute-20010824-r4.ebuild:
  Changed app-text/tetex to virtual/tetex and tetex IUSE flag to doc
  IUSE flag. Closing bug #35849

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> iproute-20010824-r4.ebuild:
  stable on alpha

  09 Jan 2004; root <root@gentoo.org> iproute-20010824-r4.ebuild:
  Marked stable on hppa.

  19 Nov 2003; Luca Barbato <lu_zero@gentoo.org> iproute-20010824-r4.ebuild:
  Marked stable on ppc

  18 Nov 2003; <spider@gentoo.org> iproute-20010824-r4.ebuild:
  Used tetex without any dependency. Added DEPEND="" statement

  25 Sep 2003; Christian Birchinger <joker@gentoo.org>
  iproute-20010824-r4.ebuild:
  Added sparc stable keyword

  23 Sep 2003; Robin H. Johnson <robbat2@gentoo.org>
  iproute-20010824-r4.ebuild:
  bump to stable on x86

  28 Aug 2003; Robin H. Johnson <robbat2@gentoo.org>
  iproute-20010824-r4.ebuild:
  fix trivial ebuild warning

  24 Aug 2003; Martin Holzer <mholzer@gentoo.org> iproute-20010824-r4.ebuild:
  Now uses -11 debian diff.

*iproute-20010824-r4 (16 Aug 2003)

  16 Aug 2003; Robin H. Johnson <robbat2@gentoo.org>
  iproute-20010824-r4.ebuild:
  update to latest debian patch, adds more manpages, also change to depend on
  kernel headers and not kernel sources

*iproute-20010824-r3 (04 May 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> iproute-20010824-r3.ebuild :
  Marked stable on hppa.

  22 Jun 2003; Joshua Kinard <kumba@gentoo.org> iproute-20010824-r3.ebuild:
  Changed ~sparc to sparc, added ~mips

  27 May 2003; <msterret@gentoo.org> iproute-20010824-r3.ebuild:
  Added tetex to IUSE since it's `use`d; use sed-4's -i; spell check

  04 May 2003; Daniel Ahlberg <aliz@gentoo.org> iproute-20010824-r3.ebuild :
  Updated to latest Debian patch which includes htb3.

  27 Feb 2003; Daniel Ahlberg <aliz@gentoo.org> iproute-20010824-r2.ebuild :
  Move binaries to / instead of /usr. Closes #15430.

*iproute-20010824-r2 (30 Aug 2002)

  17 Apr 2003; Guy Martin <gmsoft@gentoo.org> iproute-20010824-r2.ebuild :
  Added hppa to KEYWORDS.

  30 Mar 2003; Christian Birchinger <joker@gentoo.org>
  iproute-20010824-r2.ebuild:
  Added sparc stable keyword

  07 Mar 2003; Aron Griffis <agriffis@gentoo.org> iproute-20010824-r2.ebuild:
  Mark stable on alpha

  10 Feb 2003; Seemant Kulleen <seemant@gentoo.org> *.ebuild :

  Changed sed expression delimiters from / to :, closing bug #15006 by Blu3
  <david+gentoo.org@blue-labs.org>.  Also, moved the patches from files/ to
  the mirrors.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  22 Oct 2002; Brandon Low <lostlogic@gentoo.org> iproute-20010824-r2.ebuild :

  This should fix the issues people are having with htb3, just resyncs
  with the latest patch from debian, which is known to work, briefly
  in the unstable profile (bug 9329).

*iproute-20010824-r1 (30 Aug 2002)

  05 Oct 2002; Jack Morgan <jmorgan@gentoo.org> :
  Added sparc/sparc64 to keywords.

  30 Aug 2002; Sascha Schwabbauer <cybersystem@gentoo.org> :
  Added ppc to keywords.

*iproute-20010824-r1 (04 Aug 2002)

  04 Aug 2002; Daniel Robbins <drobbins@gentoo.org> New ebuild with htb3
  support, which is now always enabled.  We include a "pkt_sched.h" Linux
  kernel header in our patch that has been htb3-enabled.  This allows us to
  always be able to compile-in htb3 support, even if the local kernel sources
  don't include such support; this closes bugs #5780, #6018.

  04 Aug 2002; Daniel Robbins <drobbins@gentoo.org> We now install Debian's man
  pages which are strangely absent from Debian's binary package.

*iproute-20010824 (09 Jul 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> iproute-20010824.ebuild : Added
  KEYWORDS, SLOT.

  09 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> ChangeLog : Added ChangeLog.
